# 云平台技术白皮书
## 一、产品介绍
**通过云管理平台实现资源的统一管理和运维，大幅提升用户在运维管理上的工作效率，帮助企业及用户在新的硬件基础设施中实现云服务管理，消除因硬件架构变化带来的管理难点。**
### 1. MStack云服务器
**MStack是集IaaS、PassS和SaaS为一体的私有全栈云解决方案，无论是自建的IDC，还是依托于运营商，均支持私有化离线部署，同时也提供托管能力，支持在线升级，离线升级。并提供企业版本的公共应用市场、公共API，支持企业二次扩展，自定义功能模块，可与内部系统无缝打通。**
### 2. 容器引擎（Container Engine，简称MCE）
**容器引擎（Container Engine，简称MCE），是基于云原生技术打造企业级PaaS平台，覆盖企业应用的全生命周期管理，提供持续集成、流水线、权限控制、镜像管理、应用商店，日志检索，自动监控告警，自动化伸缩等全覆盖能力。虽然云计算是重要的基础性公共服务，在资源统筹化、节能、效率、安全性等问题上已成为驱动企业发展和智能化转型的新引擎，但是由于上云容器化等等技术壁垒，导致企业上云成本高。而MCE分别针对开发人员、运维人员提供不同的产品形态。将云容器等复杂的技术封装，为开发人员提供便捷的使用方式，提供一键式安装中间件（如Mysql、Kafka、Zookeeper、Redis等），开箱即用，全部页面化操作管理，大大减少开发和运维人员多余的工作量。结合企业特点打造对应的金融云、行业云、工业云，助力中小企业获得持续创新的核心能力。**
### 3. 多云容器平台（Multi-cloud Container Platform, 简称MCCP）
**多云容器平台提供多云管控、异云灾备、异地多活，一键迁移等核心技术能力，将跨云应用之间调度速度提升到秒级别，提升运维能力的同时保障业务连续不中断。**
### 4. DevOps
**DevOps包括代码托管、项目管理、测试管理、持续集成、制品库等多款产品和服务，涵盖软件开发从构想到交付的一切所需，使研发团队在云端高效协同，实践敏捷开发与DevOps，提升软件交付质量与速度。产品具备完整的自研开发工具、开发过程自动化、快速发布应用能力、多角色岗位高效协作、支持敏捷或瀑布工作流、输出多维度数据报告等特性。**
## 二、服务领域和内容
### 1. 服务领域：
**1）需定制化私有云、公有云、混合云的综合技术解决方案的企业
2）待将研发设计、生产制造、运营管理等核心业务向云平台迁移的制造型企业。**
### 2. 服务内容：
**基于云原生技术的企业级PaaS平台，覆盖企业应用的全生命周期管理，提供多云管理，异云灾备，持续集成、流水线、权限控制、镜像管理、应用商店，日志检索，自动监控告警，自动化伸缩等全覆盖能力，结合企业特点打造对应的金融云、行业云，助力企业获得持续创新的核心能力。为企业编制工业设备上云实施指南、业务系统云化迁移实施指南。**
## 三、云平台架构图
![云平台架构图](/uploads/tec/images/m_8e0d3dd20fb508c043ac9abc6287037f_r.png "云平台架构图")
## 四、技术特点
**有效整合客户现有物理及云资源，保障数据及系统安全的基础上，建立包含私有云在内的统一管理平台，充分利用各类资源优势，优化用云体验，提高用云效率，降低系统成本。**
### 1. 多云集中管理，异云灾备
**（1）支持云资源池总览、业务系统总览、告警影响分析以及虚拟资源总体监控等多个层次的可视化、方便用户了解平台整体情况。**
### 2. 多维度预警，自动化调度
**（1）全栈可视化管理，实时洞察云平台、物理机、虚拟机中内存、CPU和硬盘，网络，磁盘读写等情况。
（2）多维度预警策略，保障预警及时。
（3）自动化调度策略，根据预警动态调整资源。**
### 3. 数据库中间件一键安装
**（1）分布式数据库、中间件集成。
（2）插件式一键部署。
（3）根据需求，自定义中间件配置、数量。**
### 4. CI/CD 持续交付/集成
**（1）将编译代码集成到Docker之中，保障环境一致性，一次编译，到处运行。
（2）简洁化部署Java、Tomcat、Jetty、Nodejs、Python等多语言。
（3）流水线，代码一旦提交，即可触发部署、发布或其他自定义流程。**
### 5. 自动伸缩，高利用率
**（1）根据监控指标或预先设定的策略，自动调整云资源规模的管理服务。自动伸缩支持定时、告警伸缩，全程无需人工干预，大大降低繁琐的人工操作。
（2）研发运维效率提升70%。**
### 6. 降本增效，5倍的资源节约
**（1）通过高效的资源利用和管理，大大提高了资源单位资源利用率，消除冗余资源，节省企业资源投入。**

## 五、成功案例
***案例1：宝付网络科技（上海）有限公司之云服务技术解决方案***
###  1. 项目介绍与建设情况
**宝付网络科技（上海）有限公司是国内领先的持牌第三方支付公司，其业务平台采用了国际上最先进的应用服务器和安全防护系统，为每一笔交易提供了最大的安全保障。作为国内排名第四位的第三方支付机构，宝付近年来借助B端支付的产品和服务优势，立足消费金融、互联网理财等垂直细分市场，针对行业用户的发展需求和支付“痛点”，推出支付+金融行业解决方案，助力用户转型创新。企业的难点为：
（1）宝付网络一直采用比较传统IT系统架构；
（2）虽然在平台化、自动化建设上投入很大的研发成本，但仍然存在IT系统成本支出高、运维压力大、可扩展性差、业务上线周期长等痛点；
（3）上云具有一定的技术壁垒，导致宝付面临上云风险大，时间长，试错成本高等诸多问题。
为解决以上问题，我司为宝付提供云服务技术解决方案，为支付平台的延展性、可塑性保驾护航。**
### 2. 项目实施方案
**在深入调研业务架构后，服务团队为宝付提供了针对性的支持计划和云上护航方案，结合我们现有的业务架构和使用的云产品，以一键迁移的创新能力，从提升业务健壮性和产品稳定性等维度，对宝付的系统稳定性进行了多轮加固：
（1）云服务分别针对开发人员、运维人员提供不同的产品形态；
（2）将云容器等复杂的技术封装，为开发人员提供便捷的使用方式，提供一键式安装中间件，开箱即用；
（3）针对运维人员，提供云计算、多云、异云等统筹整合能力；
（4）对传统IDC引入了云计算能力，使其具备了高扩展性和高可用的计算能力；
（5）制定运维管理规范和活动保障方案，对于日常和特殊时期的运维行为进行流程化规范化管控，做到应对流量突增自动伸缩，保障业务连续不中断。
同时针对开发人员、运维人员提供不同的产品形态。将云容器等复杂的技术封装，为开发人员提供便捷的使用方式，提供一键式安装中间件（如mysql、kafka、zookeeper、redis等），开箱即用，全部页面化操作管理，大大减少开发人员多余的工作量。而针对运维人员，提供云计算、多云、异云等统筹整合能力。同时，云容器不依赖任何IaaS平台，与各个运营商打通（如阿里云、华为云、腾讯云、ucloud等），可以统一管理、自动化调度、灾备、迁移，预警等。**
### 3. 项目成果、实施成效与经验总结
**通过以上方案，我们对于宝付开发管理和运维管理页面化，全部页面化操作管理，大大减少开发人员多余的工作量。
（1）根据监控指标或预先设定的策略，自动调整云资源规模的管理服务。自动伸缩支持定时、告警伸缩，全程无需人工干预，大大降低繁琐的人工操作，使研发运维效率提升70%。
（2）降本增效，5倍的资源节约
通过高效的资源利用和管理，大大提高了资源单位资源利用率，消除冗余资源，节省企业资源投入。
服务团队坚持系统推进、协同高效，专职人员具备强化的数字化思维，数字技能和数据管理能力。结合我司产业结构和资源禀赋，系统谋划、务实推进，更好发挥我司在数字经济发展中的作用。帮助传统企业和中小企业实现数字化转型，提升企业整体运行效率和产业链上下游协同效率。**